/* MimeBDecoder */

#import <Cocoa/Cocoa.h>

@class	FileButton;

@interface MimeBDecoder : NSObject
{
    IBOutlet NSWindow *mainWindow;
    IBOutlet FileButton *fileButton;
	IBOutlet NSTextView *stringDecoded;
    IBOutlet NSTextView *stringEncoded;
	
	NSStringEncoding	encoding;
	BOOL				launchWithFiles;
}

- (IBAction)openDocument:(id)sender;
- (IBAction)decode:(id)sender;
- (IBAction)encode:(id)sender;

- (void)renameFiles:(NSArray*)fileList;
- (BOOL)renameAFile:(NSString*)path silent:(BOOL)silent;
- (NSString*)decodeFileName:(NSString*)path;

- (NSString*)decodeMimeBString:(NSString*)inString;
- (BOOL)checkMimeB:(NSString*)inString encodedString:(NSString**)encodedString;

- (NSString*)encodeMimeBString:(NSString*)inString;

- (NSString*)encodeString:(NSString*)string withEncoding:(NSStringEncoding)encoding;
- (NSString*)decodeString:(NSString*)string withEncoding:(NSStringEncoding)encoding;

@end

